package org.seasar.axis.server;

import org.apache.axis.MessageContext;
import org.apache.axis.providers.java.RPCProvider;
import org.seasar.framework.container.ComponentDef;

public class S2Provider extends RPCProvider {
    public static final String OPTION_COMPONENT_DEF = "componentDef";

    protected Object makeNewServiceObject(final MessageContext msgContext,
            final String className) {
        final ComponentDef componentDef = (ComponentDef) msgContext
                .getService().getOption(OPTION_COMPONENT_DEF);
        return componentDef.getComponent();
    }
}